package com.fs.his.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.his.domain.FsUserOnlineState;

import java.util.List;

/**
 * 用户上线情况Service接口
 *
 * @author fs
 * @date 2025-06-30
 */
public interface IFsUserOnlineStateService extends IService<FsUserOnlineState>{
    /**
     * 查询用户上线情况
     *
     * @param userId 用户上线情况主键
     * @return 用户上线情况
     */
    FsUserOnlineState selectFsUserOnlineStateById(Long userId);

    /**
     * 查询用户上线情况列表
     *
     * @param fsUserOnlineState 用户上线情况
     * @return 用户上线情况集合
     */
    List<FsUserOnlineState> selectFsUserOnlineStateList(FsUserOnlineState fsUserOnlineState);

    /**
     * 新增用户上线情况
     *
     * @param fsUserOnlineState 用户上线情况
     * @return 结果
     */
    int insertFsUserOnlineState(FsUserOnlineState fsUserOnlineState);

    /**
     * 修改用户上线情况
     *
     * @param fsUserOnlineState 用户上线情况
     * @return 结果
     */
    int updateFsUserOnlineState(FsUserOnlineState fsUserOnlineState);

    /**
     * 批量删除用户上线情况
     *
     * @param userIds 需要删除的用户上线情况主键集合
     * @return 结果
     */
    int deleteFsUserOnlineStateByIds(Long[] userIds);

    /**
     * 删除用户上线情况信息
     *
     * @param userId 用户上线情况主键
     * @return 结果
     */
    int deleteFsUserOnlineStateById(Long userId);

    /**
     * 统计未上线的用户（定时更新上线状态）
     */
    void insertUserNotOnline();

}
